Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class AbstractSAXParser.LocatorProxy

    java.lang.Object
      |
      +--weblogic.apache.xerces.parsers.AbstractSAXParser.LocatorProxy

protected static class AbstractSAXParser.LocatorProxy
extends java.lang.Object
implements org.xml.sax.Locator

Field Summary
`protected XMLLocator` | `fLocator` XML locator.

Constructor Summary
`AbstractSAXParser.LocatorProxy(XMLLocator locator)` Constructs an XML locator proxy.

Method Summary
`int` | `getColumnNumber()` Column number.
`int` | `getLineNumber()` Line number.
`java.lang.String` | `getPublicId()` Public identifier.
`java.lang.String` | `getSystemId()` System identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fLocator

    protected XMLLocator fLocator

  XML locator.

Constructor Detail

### AbstractSAXParser.LocatorProxy

    public AbstractSAXParser.LocatorProxy(XMLLocator locator)

  Constructs an XML locator proxy.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Public identifier.
  Specified by:
    getPublicId in interface org.xml.sax.Locator

### getSystemId

    public java.lang.String getSystemId()

  System identifier.
  Specified by:
    getSystemId in interface org.xml.sax.Locator

### getLineNumber

    public int getLineNumber()

  Line number.
  Specified by:
    getLineNumber in interface org.xml.sax.Locator

### getColumnNumber

    public int getColumnNumber()

  Column number.
  Specified by:
    getColumnNumber in interface org.xml.sax.Locator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD